List codes
GET
{{server}}/api/v1/counter/codes?category=statusRequest
Authorization
| Header | Value |
|---|---|
Authorization | Bearer {{counterToken}} |
Headers
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{counterWsID}} |
Query parameters
| Key | Value |
|---|---|
category | status |
Code snippets
- cURL
- JavaScript
- Python
curl -X GET '{{server}}/api/v1/counter/codes?category=status' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}'
const response = await fetch("{{server}}/api/v1/counter/codes?category=status", {
method: "GET",
headers: {
"Accept": "application/json",
"X-WSID": "{{counterWsID}}",
"Authorization": "Bearer {{counterToken}}"
},
});
const data = await response.json();
console.log(data);
import requests
url = "{{server}}/api/v1/counter/codes?category=status"
headers = {
"Accept": "application/json",
"X-WSID": "{{counterWsID}}",
"Authorization": "Bearer {{counterToken}}"
}
response = requests.get(url, headers=headers)
print(response.status_code)
print(response.json())
Examples (4)
- All codes
- Status codes
- Closing codes
- Logout codes
Example request
GET
{{server}}/api/v1/counter/codesHeaders (2)
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{counterWsID}} |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 3262 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
[
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000001",
"category": "logout",
"name": "Logout code 1",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Logout code 1"
}
},
"status": 1,
"aspect": null,
"time": 1684493325645
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000002",
"category": "logout",
"name": "Logout code 2",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Logout code 2"
}
},
"status": 1,
"aspect": null,
"time": 1684493325650
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000003",
"category": "logout",
"name": "Logout code 3",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Logout code 3"
}
},
"status": 1,
"aspect": null,
"time": 1684493325655
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000004",
"category": "logout",
"name": "Logout code 4",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Logout code 4"
}
},
"status": 1,
"aspect": null,
"time": 1684493325660
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000005",
"category": "logout",
"name": "Logout code 5",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Logout code 5"
}
},
"status": 1,
"aspect": null,
"time": 1684493325665
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000006",
"category": "closing",
"name": "Closing code 1",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Closing code 1"
}
},
"status": 1,
"aspect": null,
"time": 1684493325670
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000007",
"category": "closing",
"name": "Closing code 2",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Closing code 2"
}
},
"status": 1,
"aspect": null,
"time": 1684493325674
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000008",
"category": "closing",
"name": "Closing code 3",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Closing code 3"
}
},
"status": 1,
"aspect": null,
"time": 1684493325679
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000009",
"category": "closing",
"name": "Closing code 4",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Closing code 4"
}
},
"status": 1,
"aspect": null,
"time": 1684493325685
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000010",
"category": "closing",
"name": "Closing code 5",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Closing code 5"
}
},
"status": 1,
"aspect": null,
"time": 1684493325700
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000011",
"category": "status",
"name": "Afterwork",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Afterwork"
}
},
"status": 1,
"aspect": null,
"time": 1684493325708
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000012",
"category": "status",
"name": "Backoffice work",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Backoffice work"
}
},
"status": 1,
"aspect": null,
"time": 1684493325714
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000013",
"category": "status",
"name": "Break",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Break"
}
},
"status": 1,
"aspect": null,
"time": 1684493325719
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000014",
"category": "status",
"name": "Pray",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Pray"
}
},
"status": 1,
"aspect": null,
"time": 1684493325723
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000015",
"category": "status",
"name": "Other",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Other"
}
},
"status": 1,
"aspect": null,
"time": 1684493325728
}
]
Example request
GET
{{server}}/api/v1/counter/codes?category=statusQuery parameters (1)
| Key | Value |
|---|---|
category | status |
Headers (2)
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{counterWsID}} |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 1047 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
[
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000011",
"category": "status",
"name": "Afterwork",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Afterwork"
}
},
"status": 1,
"aspect": null,
"time": 1684493325708
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000012",
"category": "status",
"name": "Backoffice work",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Backoffice work"
}
},
"status": 1,
"aspect": null,
"time": 1684493325714
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000013",
"category": "status",
"name": "Break",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Break"
}
},
"status": 1,
"aspect": null,
"time": 1684493325719
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000014",
"category": "status",
"name": "Pray",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Pray"
}
},
"status": 1,
"aspect": null,
"time": 1684493325723
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000015",
"category": "status",
"name": "Other",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Other"
}
},
"status": 1,
"aspect": null,
"time": 1684493325728
}
]
Example request
GET
{{server}}/api/v1/counter/codes?category=closingQuery parameters (1)
| Key | Value |
|---|---|
category | closing |
Headers (2)
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{counterWsID}} |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 1116 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
[
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000006",
"category": "closing",
"name": "Closing code 1",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Closing code 1"
}
},
"status": 1,
"aspect": null,
"time": 1684493325670
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000007",
"category": "closing",
"name": "Closing code 2",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Closing code 2"
}
},
"status": 1,
"aspect": null,
"time": 1684493325674
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000008",
"category": "closing",
"name": "Closing code 3",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Closing code 3"
}
},
"status": 1,
"aspect": null,
"time": 1684493325679
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000009",
"category": "closing",
"name": "Closing code 4",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Closing code 4"
}
},
"status": 1,
"aspect": null,
"time": 1684493325685
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000010",
"category": "closing",
"name": "Closing code 5",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Closing code 5"
}
},
"status": 1,
"aspect": null,
"time": 1684493325700
}
]
Example request
GET
{{server}}/api/v1/counter/codes?category=logoutQuery parameters (1)
| Key | Value |
|---|---|
category | logout |
Headers (2)
| Key | Value |
|---|---|
Accept | application/json |
X-WSID | {{counterWsID}} |
Example response 200 Ok
Response headers (9)
| Key | Value |
|---|---|
Access-Control-Expose-Headers | * |
Cache-Control | no-store, no-cache, must-revalidate |
Access-Control-Allow-Origin | * |
Access-Control-Allow-Methods | POST, PUT, GET, OPTIONS, DELETE |
Access-Control-Allow-Credentials | true |
Content-Length | 1101 |
Access-Control-Max-Age | 86400 |
Access-Control-Allow-Headers | Content-Type, Authorization, X-Requested-With |
Content-Type | application/json;charset=utf-8 |
Body
[
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000001",
"category": "logout",
"name": "Logout code 1",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Logout code 1"
}
},
"status": 1,
"aspect": null,
"time": 1684493325645
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000002",
"category": "logout",
"name": "Logout code 2",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Logout code 2"
}
},
"status": 1,
"aspect": null,
"time": 1684493325650
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000003",
"category": "logout",
"name": "Logout code 3",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Logout code 3"
}
},
"status": 1,
"aspect": null,
"time": 1684493325655
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000004",
"category": "logout",
"name": "Logout code 4",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Logout code 4"
}
},
"status": 1,
"aspect": null,
"time": 1684493325660
},
{
"type": 13,
"key": "00000000-0000-4000-0013-000000000005",
"category": "logout",
"name": "Logout code 5",
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Logout code 5"
}
},
"status": 1,
"aspect": null,
"time": 1684493325665
}
]